﻿using System;
using System.IO;
using ThinkGeo.MapSuite.Layers;

namespace MapSuiteIndexBuilder
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length > 0 && File.Exists(args[0]) && Path.GetExtension(args[0]).Equals(".shp"))
            {
                ShapeFileFeatureLayer.BuildIndexFile(args[0], BuildIndexMode.Rebuild);
                Console.WriteLine("Rebuild index completed!");
            }
            else
                Console.WriteLine("Please input a shape file path.");
            Console.ReadLine();
        }
    }
}
